Skip to content

condenser_api.get_trade_history ​

Purpose ​

Returns the trade history for the internal SBD:STEEM market. Parameters: start:timestamp; end:timestamp; limit:int up to 1000

start (timestamp)end (timestamp)limit (int)
"2018-01-01T00:00:00""2018-01-02T00:00:00"10Queries up to 10 trades between January 1st, 2018 and January 2nd, 2018.

Also see: market_history_api.get_trade_history

Parameters ​

PARAMETERS
json
[
  "1970-01-01T00:00:00",
  "1970-01-01T00:00:00",
  1000
]

Example ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_trade_history",
    "params": [
      "2018-01-01T00:00:00",
      "2018-01-02T00:00:00",
      10
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
[
  {
    "date": "1970-01-01T00:00:00",
    "current_pays": "0.000 SBD",
    "open_pays": "0.000 STEEM"
  }
]